<!SGML "ISO 8879:1986"
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    TCIF SGML Declaration.
    Version: 2.0.0, 1997-02-05 (tcif2.dcl)
    This declaration must appear first in the data stream constituting a
    conforming TCIF SGML document, but it can be assumed in a conforming
    XML document. An SGML data stream should also include a TCIF DTD.
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
CHARSET   BASESET "ISO 646-1983//CHARSET International Reference Version 
                   (IRV)//ESC 2/5 4/0"
DESCSET   0   9  UNUSED
          9   2  9
         11   2  UNUSED
         13   1  13
         14  18  UNUSED
         32  95  32
        127   1  UNUSED
--BASESET "ISO Registration Number 109//CHARSET ECMA-94 Right Part of Latin 
         Alphabet Nr. 3 //ESC 2/13 4/3"
DESCSET 128  32  UNUSED
        160   5  32
        165  89  32
        254   1  127
        255   1  UNUSED             for XML--
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    Characters 0-31 and 127 are control characters, and the DESCSET
    section specifies that only tab (9), linefeed (10), and carriage
    return (13) are meaningful. ("0   9  UNUSED" means 9 characters
    beginning with #0 are not used meaningfully in the data stream.)
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
CAPACITY  SGMLREF
    TOTALCAP  99999999
    ENTCAP    99999999
    ENTCHCAP  99999999
    ELEMCAP   99999999
    GRPCAP    99999999
    EXGRPCAP  99999999
    EXNMCAP   99999999
    ATTCAP    99999999
    ATTCHCAP  99999999
    AVGRPCAP  99999999
    NOTCAP    99999999
    NOTCHCAP  99999999
    IDCAP     99999999
    IDREFCAP  99999999
    MAPCAP    99999999
    LKSETCAP  99999999
    LKNMCAP   99999999
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    Capacities have been increased from the "reference capacity set", so
    that large documents won't automatically generate parsing errors.
    (In "basic SGML documents," capacities are set at 35,000.)
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
SCOPE     DOCUMENT
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    The scope of this declaration is the entire document. Any DTD or other
    prolog you include must conform to it, as well as document content -
    not hard, since this declaration is less restrictive than the default.
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
SYNTAX
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    This declaration does not use the "reference concrete syntax," so it
    can't necessarily be processed by a "conforming SGML application."
    You may need a system that is specifically XML-conforming.
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
SHUNCHAR  NONE
BASESET   "ISO 646-1983//CHARSET International Reference Version
           (IRV)//ESC 2/5 4/0"
DESCSET   0    128   0
FUNCTION  RE        13
          RS        10
          SPACE     32
          TAB       SEPCHAR  9
NAMING    LCNMSTRT  ""       -- "-" for XML--
          UCNMSTRT  ""       -- "-" for XML--
          LCNMCHAR  "-."     -- "." for XML--
          UCNMCHAR  "-."     -- "." for XML--
          NAMECASE  GENERAL YES
                    ENTITY   NO
DELIM     GENERAL   SGMLREF
             -- NET   "/>"          for XML--
             -- PIC   "?>"          for XML--
          SHORTREF  SGMLREF
NAMES     SGMLREF
QUANTITY  SGMLREF
          NAMELEN         64     -- for XML, all these 99999999--
          LITLEN        1024
          ATTCNT         128
          GRPCNT         128
          GRPGTCNT       253
          TAGLVL         128
          ATTSPLEN      2000
          ENTLVL          64
          GRPLVL          16
          PILEN         2048
          TAGLEN        2048
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    Names (of elements, attributes, etc.) may be 64 characters, not just 8.
    There may be 128 attributes in an ATTLIST, not just 40. There may be
    253 (not 32) tokens in a group, and 253 (not 96) in a content model.
    Elements may be nested to 128 levels, not 24. A literal (a parameter
    or attribute value in quotes) may be 1024 characters, not just 240.
    Names (of elements, attributes, etc.) are automatically converted to
    upper case, except for entities.
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
FEATURES
MINIMIZE  DATATAG  NO  OMITTAG   NO  RANK      NO    SHORTTAG  YES
LINK      SIMPLE   NO  IMPLICIT  NO  EXPLICIT  NO
OTHER     CONCUR   NO  SUBDOC    NO  FORMAL    NO
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    OMITTAG and SHORTTAG are used in "basic SGML documents."
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
APPINFO   NONE
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    No application-specific information is specified.
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
